insserv: warning: script 'mathkernel' missing LSB tags and overrides

  • Hi,
    ich bekomme bei diversen Installationen, z.B. beim update der rc.d die Fehlermeldung
    "insserv: warning: script 'mathkernel' missing LSB tags and overrides"


    Weiß jemand, was da fehlt?


    Gruß,
    Mike

  • Wenn du Mathematica von WolframAlpha nicht brauchst deinstalliere es:

    Code
    sudo apt-get remove wolfram-engine

    Es gibt KEINE dummen Fragen!

  • der Fehler sagt, das im Script /etc/init.d/mathkernel die LSB Tags fehlen, anhand derer bei der Installation die Startreihenfolge ermittelt wird. Das ist leicht durch ergänzen der Tags zu beheben:


    unter
    #!/bin/sh


    ergänzen:


    [font="courier new"]### BEGIN INIT INFO[/font]
    [font="courier new"]# Provides: [/font][font="verdana"]mathkernel[/font]
    [font="courier new"]# Required-Start: $local_fs [/font]
    [font="courier new"]# Required-Stop: $local_fs[/font]
    [font="courier new"]# Default-Start: 2 3 4 5[/font]
    [font="courier new"]# Default-Stop: 0 1 6[/font]
    [font="courier new"]# Short-Description: [/font][font="verdana"]mathkernel[/font]
    [font="courier new"]### END INIT INFO[/font]


    [font="courier new"].. und dann mault die Installation auch nicht mehr. Ob für mathkernel das Filesystem tatsächlich oben sein muss , weiß ich nicht. Aber es schadet nichts.[/font]